# Makefile for dcl-f90-linux
#
# 2001/06/14  ODAKA Masatsugu (odakker@gfd-dennou.org)
# 2001/06/18  ODAKA Masatsugu (odakker@gfd-dennou.org)
# 2001-06-19  TOYODA Eizi (toyoda@gfd-dennou.org) autoconfiscated
# 2001-12-21  TAKEHIRO Shin-ichi (takepiro@gfd-dennou.org) modified for Debian

# for Debian install
DESTDIR = 

# set Fortran 90 compiler.
#
FC = @FC@
#
SYSFFLAGS = @SYSFFLAGS@
SYSLDFLAGS = @SYSLDFLAGS@
SYSLDLIBS = @SYSLDLIBS@
SYSFLIBS = @SYSFLIBS@
#
# set LIBFILE install directory.
#
# LIBINSTDIR = /usr/local/dcl-f90/lib
LIBINSTDIR = $(DESTDIR)@prefix@/lib
#
# set Fortran 90 modules install directory.
#
# MODINSTDIR=/usr/local/dcl-f90/include
MODINSTDIR = $(DESTDIR)@prefix@/include
F90MODTYPE = @F90MODTYPE@
IFCCEM = @IFCCEM@
# MODEXT = .mod
MODEXT = @MOD@
#
# set Document & Tutorial install directory.
#
# DOCINSTDIR=/usr/local/dcl-f90/doc
DOCINSTDIR = $(DESTDIR)@prefix@/doc
#
# set library file name.
#
LIBNAME=dcl52f90
LIBFILE=lib$(LIBNAME).a
#
# set binaries install directory
#
BININSTDIR=$(DESTDIR)@bindir@
#
# set dclconfig command (DCL-5.2-ffc) path
#
DCLCONFIG=@dclconfig@

EUCTOSJIS=@EUCTOSJIS@
SJISTOEUC=@SJISTOEUC@
CHARSET=@CHARSET@

.SUFFIXES:
.SUFFIXES: .f90 .o

.f90.o:
	$(FC) -c $(FFLAGS) $(SYSFFLAGS) $(DIRFFLAGS) $<
